Bug 530772 - Review Request: pxe-kexec - Linux boots Linux via network
Review Request: pxe-kexec - Linux boots Linux via network
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
: pxe-kexec (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-24 17:56 EDT by Scott Collier
Modified: 2010-01-19 14:43 EST (History)
9 users (show)

See Also:
Fixed In Version: 0.2.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 14:39:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Scott Collier 2009-10-24 17:56:11 EDT
Spec URL: http://boodle.fedorapeople.org/RPMS/pxe-kexec.spec
SRPM URL: http://boodle.fedorapeople.org/RPMS/pxe-kexec-0.2.3-3.fc11.src.rpm
Description: pxe-kexec is a program that reads a PXELINUX configuration file, prompts the user for an entry like the PXELINUX program would do and finally boots that entry using Kexec. 

This is a duplicate of bug: 508352.  The owner has said it's OK for me to take it over.

I am requesting a sponsor please.

rpmlint is clean:

$ rpmlint ../RPMS/i586/pxe-kexec-0.2.3-3.fc11.i586.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint pxe-kexec.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-10-24 18:38:01 EDT
*** Bug 508352 has been marked as a duplicate of this bug. ***
Comment 2 Scott Collier 2009-11-07 21:44:13 EST
Koji builds are successful:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1794541
http://koji.fedoraproject.org/koji/taskinfo?taskID=1794546
http://koji.fedoraproject.org/koji/taskinfo?taskID=1794551

rpmlint is clean.

May I please get a sponsor?  I think the package is ready to go.
Comment 3 Thomas Spura 2009-11-08 09:57:57 EST
Hi Scott,

I'm not a sponsor…

Have you read http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored ?

You should show, that you understood the Guidelines and do some other reviews and so on, so that you future sponsor will see, what reviews you have done.

You can read more about this on the link above.
Comment 4 Scott Collier 2009-11-08 13:05:31 EST
(In reply to comment #3)
> Hi Scott,
> 
> I'm not a sponsor…
> 
> Have you read
> http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored ?
> 
> You should show, that you understood the Guidelines and do some other reviews
> and so on, so that you future sponsor will see, what reviews you have done.
> 
> You can read more about this on the link above.  

Thanks for the advice Thomas.  I will certainly review some packages, here's my first review:

https://bugzilla.redhat.com/show_bug.cgi?id=532402#c1

I'll do some more and hopefully get a sponsor.
Comment 5 Matt Domsch 2009-11-13 15:25:50 EST
I'm Scott's sponsor.  This package still needs a reviewer.

Thanks,
Matt
Comment 6 Susi Lehtola 2009-12-03 00:22:14 EST
Taking over review.

First note: use %{optflags} instead of $RPM_OPT_FLAGS since you're using %{buildroot} in favor of $RPM_BUILD_ROOT.
Comment 7 Susi Lehtola 2009-12-03 07:45:54 EST
pxe-kexec.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 26)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fix this. You don't actually need any indentation on the make line, since the whole command fits nicely on one line.


- The changelog is messed up. Fix it.

- If you updated the version from Ed's 0.1.7 to 0.2.3, you should have reset the release tag to 1. So the following should be release 2.


Review:

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. NEEDSWORK
- Macro consistency problem.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


Fix the spec file before import to CVS. The package has been

APPROVED
Comment 8 Scott Collier 2009-12-03 21:08:42 EST
(In reply to comment #7)
> pxe-kexec.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 26)
> 3 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> Fix this. You don't actually need any indentation on the make line, since the
> whole command fits nicely on one line.

Fixed.

> 
> 
> - The changelog is messed up. Fix it.
> 
> - If you updated the version from Ed's 0.1.7 to 0.2.3, you should have reset
> the release tag to 1. So the following should be release 2.
> 

Fixed.

> 
> Review:
> 
> MUST: The package does not yet exist in Fedora. The Review Request is not a
> duplicate. OK
> 
> MUST: The spec file for the package is legible and macros are used
> consistently. NEEDSWORK
> - Macro consistency problem.

Fixed.

>
> 
<snip>
> SHOULD: The package builds in mock. OK
> 
> 
> Fix the spec file before import to CVS. The package has been
> 
> APPROVED  

Thanks for the review Jussi.

Here's the new spec and srpm:

Spec URL: http://boodle.fedorapeople.org/RPMS/pxe-kexec.spec
SRPM URL: http://boodle.fedorapeople.org/RPMS/pxe-kexec-0.2.3-2.fc12.src.rpm
Comment 9 Scott Collier 2009-12-03 21:17:58 EST
New Package CVS Request
=======================
Package Name: pxe-kexec
Short Description: Linux boots Linux via network
Owners: boodle
Branches: F-11 F-12 EL-4 EL-5
InitialCC: boodle
Comment 10 Kevin Fenzi 2009-12-06 18:22:18 EST
cvs done.
Comment 11 Susi Lehtola 2010-01-01 18:03:51 EST
ping? ship the updates.
Comment 12 Fedora Update System 2010-01-02 00:24:18 EST
pxe-kexec-0.2.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pxe-kexec-0.2.3-2.fc11
Comment 13 Fedora Update System 2010-01-02 00:25:06 EST
pxe-kexec-0.2.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pxe-kexec-0.2.3-2.fc12
Comment 14 Fedora Update System 2010-01-02 16:29:02 EST
pxe-kexec-0.2.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pxe-kexec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0087
Comment 15 Fedora Update System 2010-01-02 16:31:15 EST
pxe-kexec-0.2.3-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pxe-kexec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0101
Comment 16 Fedora Update System 2010-01-19 14:39:35 EST
pxe-kexec-0.2.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-01-19 14:43:31 EST
pxe-kexec-0.2.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.